Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`main``

module documentation
(source)

Backwards compatibility, and utility functions.

In general, this module should not be used, other than by reactor authors who need to use the 'installReactor' method.

Function | `installReactor` | Install reactor `reactor`.
Constant | `CONNECTION_DONE` | Undocumented
Constant | `CONNECTION_LOST` | Undocumented

def installReactor(reactor): (source)

Install reactor `reactor`.

Parameters
reactor | An object that provides one or more IReactor* interfaces.

CONNECTION_DONE = (source)

Undocumented

Value

    error.ConnectionDone('Connection done')

CONNECTION_LOST = (source)

Undocumented

Value

    error.ConnectionLost('Connection lost')